import { PropType } from 'vue';
import { IEntity, IRelation, RelationType } from '@fly-vue/lcdp-api';
import { IListLocalOperationParams } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IEntity;
        isSystem: boolean;
    } & {
        id?: string | undefined;
    }>>>;
    emit: (event: "on-remove", ...args: any[]) => void;
    list: import("vue").Ref<{
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type: RelationType;
        sourceEntity?: string | undefined;
        targetEntity?: string | undefined;
        joinEntity?: string | undefined;
        joinFields?: {
            local: string;
            target: string;
        }[] | undefined;
        optional?: boolean | undefined;
        expandable?: boolean | undefined;
        generateForeignKey?: boolean | undefined;
        foreignKeyName?: string | undefined;
        saved?: boolean | undefined;
    }[]>;
    params: IListLocalOperationParams;
    up: (index: number) => void;
    down: (index: number) => void;
    remove: (index: number) => Promise<void>;
    appId: string | undefined;
    editable: import("vue").Ref<boolean>;
    warning: import("vue").Ref<boolean>;
    fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
    targetFields: import("vue").ShallowReactive<Record<string, any>>;
    finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
    addIndex: () => void;
    removeRelation: (index: number) => Promise<void>;
    validate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
    save: () => Promise<boolean>;
    tryLoadEntity: (entityId: string) => Promise<void>;
    clearJoinFields: (relation: IRelation) => void;
    init: () => void;
    onChangeType: (relation: IRelation) => void;
    onChangeTargetEntity: (relation: IRelation) => void;
    generateName: (relation: IRelation) => void;
    onChangeJoinFields: (relation: IRelation) => void;
    nameWarningClass: (item: IRelation) => {
        'ui-ring-2 ui-ring-red-400': boolean;
    };
    joinFieldsWarningClass: (item: IRelation) => {
        'ui-ring-2 ui-ring-red-400': boolean;
    };
    RelationType: typeof RelationType;
    RelationTypeText: {
        MANY_TO_ONE: string;
        MANY_TO_MANY: string;
        ONE_TO_ONE: string;
        ONE_TO_MANY: string;
    };
    SelectEntity: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
        emitWhenHasInitValue: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            emitWhenHasInitValue: boolean;
        } & {
            value?: string | undefined;
            placeholder?: string | undefined;
        }>>>;
        emit: (event: "input" | "on-change", ...args: any[]) => void;
        v: import("vue").Ref<string | undefined>;
        innerValue: import("vue").Ref<string | undefined>;
        appId: string | undefined;
        list: import("vue").WritableComputedRef<IEntity[]>;
        loaded: import("vue").Ref<boolean>;
        onChange: (entity?: IEntity | undefined) => void;
        LcSelect: import("vue").DefineComponent<any, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                [x: string]: any;
            } & {
                [x: number]: any;
                [x: symbol]: any;
            }>>>;
            emit: (event: string, ...args: any[]) => void;
            finalList: import("vue").ComputedRef<any>;
            innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
            onChange: (str?: string | undefined) => void;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
            [x: string]: any;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
        emitWhenHasInitValue: {
            type: BooleanConstructor;
        };
    }>>, {
        emitWhenHasInitValue: boolean;
    }>;
    SelectJoinFields: import("vue").DefineComponent<{
        value: {
            type: PropType<import("@fly-vue/lcdp-api").IJoinField[]>;
            default: () => never[];
        };
        fields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        targetFields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        readonly: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: import("@fly-vue/lcdp-api").IJoinField[];
            fields: import("@fly-vue/lcdp-api").IField[];
            disabled: boolean;
            readonly: boolean;
        } & {
            targetFields?: import("@fly-vue/lcdp-api").IField[] | undefined;
        }>>>;
        emit: (event: "input" | "on-ok" | "on-show", ...args: any[]) => void;
        list: import("vue").Ref<{
            local: string;
            target: string;
        }[]> | import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IJoinField[]>;
        isShowModal: import("vue").Ref<boolean>;
        candidates: import("vue").Ref<{
            local: string;
            target: string;
        }[]>;
        valid: import("vue").ComputedRef<boolean>;
        init: () => void;
        add: () => void;
        save: () => void;
        showModal: () => void;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>>>;
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean;
                'ui-justify-center': boolean;
                'ui-flex-grow': boolean;
                'ui-h-0': boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                middle: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                selectable: boolean;
                selected: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
        IconBtn: import("vue").DefineComponent<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            iconHover: {
                type: StringConstructor;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            iconSize: {
                type: StringConstructor;
            };
            tips: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
            emit: (event: "click", ...args: any[]) => void;
            hover: import("vue").Ref<boolean>;
            onClick: (event: any) => void;
            LcView: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
                selected: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                    selected?: boolean | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    selected: boolean | undefined;
                }>;
                style: import("vue").ComputedRef<{}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
                selected: {
                    type: BooleanConstructor;
                };
            }>>, {
                selected: boolean;
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Icon: import("vue").DefineComponent<{
                icon: null;
                size: null;
                color: null;
            }, {
                __sfc: boolean;
                props: {
                    icon: string;
                    size?: string | undefined;
                    color?: string | undefined;
                };
                isIdeIcon: import("vue").ComputedRef<boolean>;
                isProIcon: import("vue").ComputedRef<boolean>;
                isIdesIcon: import("vue").ComputedRef<boolean>;
                isLcIcon: import("vue").ComputedRef<boolean>;
                colorMap: Record<string, string>;
                color: import("vue").ComputedRef<string>;
                IdeIcon: import("vue").DefineComponent<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }>>, {
                    size: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: null;
                color: null;
            }>>, {}>;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            iconHover: {
                type: StringConstructor;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            iconSize: {
                type: StringConstructor;
            };
            tips: {
                type: StringConstructor;
            };
        }>>, {
            size: string;
        }>;
        LcModal: import("vue").DefineComponent<{
            value: {
                type: BooleanConstructor;
            };
            title: {
                type: StringConstructor;
            };
            width: {
                type: (NumberConstructor | StringConstructor)[];
            };
            height: {
                type: StringConstructor;
            };
            enableFullscreen: {
                type: BooleanConstructor;
            };
            fullscreen: {
                type: BooleanConstructor;
            };
            showHeaderLine: {
                type: BooleanConstructor;
            };
            showCloseFooter: {
                type: BooleanConstructor;
            };
            showFooter: {
                type: BooleanConstructor;
            };
            zIndex: {
                type: NumberConstructor;
            };
            closable: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                value: boolean;
                fullscreen: boolean;
                enableFullscreen: boolean;
                showHeaderLine: boolean;
                showCloseFooter: boolean;
                showFooter: boolean;
                closable: boolean;
            } & {
                height?: string | undefined;
                width?: string | number | undefined;
                title?: string | undefined;
                zIndex?: number | undefined;
            }>>>;
            emit: (event: "input" | "on-ok" | "on-cancel" | "update:fullscreen", ...args: any[]) => void;
            value: import("vue").Ref<boolean>;
            isShow: import("vue").Ref<boolean>;
            fullscreen: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
            toggleFullScreen: () => void;
            onOk: () => void;
            onCancel: () => void;
            Link: import("vue").DefineComponent<{
                icon: null;
                size: {
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                loading: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                emit: (event: "click", ...args: any[]) => void;
                onClick: (e: any) => void;
                Icon: import("vue").DefineComponent<{
                    icon: null;
                    size: null;
                    color: null;
                }, {
                    __sfc: boolean;
                    props: {
                        icon: string;
                        size?: string | undefined;
                        color?: string | undefined;
                    };
                    isIdeIcon: import("vue").ComputedRef<boolean>;
                    isProIcon: import("vue").ComputedRef<boolean>;
                    isIdesIcon: import("vue").ComputedRef<boolean>;
                    isLcIcon: import("vue").ComputedRef<boolean>;
                    colorMap: Record<string, string>;
                    color: import("vue").ComputedRef<string>;
                    IdeIcon: import("vue").DefineComponent<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }>>, {
                        size: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: null;
                    size: null;
                    color: null;
                }>>, {}>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: {
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                loading: {
                    type: BooleanConstructor;
                };
            }>>, {
                size: string;
                loading: boolean;
                disabled: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>>>;
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean;
                    'ui-justify-center': boolean;
                    'ui-flex-grow': boolean;
                    'ui-h-0': boolean;
                    gutter: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            FormBtnsClose: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                emit: (event: "on-close", ...args: any[]) => void;
                onClose: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-close"[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-cancel" | "update:fullscreen")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: BooleanConstructor;
            };
            title: {
                type: StringConstructor;
            };
            width: {
                type: (NumberConstructor | StringConstructor)[];
            };
            height: {
                type: StringConstructor;
            };
            enableFullscreen: {
                type: BooleanConstructor;
            };
            fullscreen: {
                type: BooleanConstructor;
            };
            showHeaderLine: {
                type: BooleanConstructor;
            };
            showCloseFooter: {
                type: BooleanConstructor;
            };
            showFooter: {
                type: BooleanConstructor;
            };
            zIndex: {
                type: NumberConstructor;
            };
            closable: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            value: boolean;
            fullscreen: boolean;
            enableFullscreen: boolean;
            showHeaderLine: boolean;
            showCloseFooter: boolean;
            showFooter: boolean;
            closable: boolean;
        }>;
        FormBtns: import("vue").DefineComponent<{
            disabled: {
                type: BooleanConstructor;
            };
            okText: {
                type: StringConstructor;
                default: string;
            };
            showCancel: {
                type: BooleanConstructor;
                default: boolean;
            };
            cancelPosition: {
                type: StringConstructor;
                default: string;
            };
            loading: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            onCancel: () => void;
            onOk: () => void;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
            disabled: {
                type: BooleanConstructor;
            };
            okText: {
                type: StringConstructor;
                default: string;
            };
            showCancel: {
                type: BooleanConstructor;
                default: boolean;
            };
            cancelPosition: {
                type: StringConstructor;
                default: string;
            };
            loading: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            padding: boolean;
            loading: boolean;
            disabled: boolean;
            okText: string;
            showCancel: boolean;
            cancelPosition: string;
        }>;
        LcLine: import("vue").DefineComponent<{
            type: null;
            position: {
                default: string;
            };
            size: null;
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            type: null;
            position: {
                default: string;
            };
            size: null;
        }>>, {
            position: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-show")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: PropType<import("@fly-vue/lcdp-api").IJoinField[]>;
            default: () => never[];
        };
        fields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        targetFields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        readonly: {
            type: BooleanConstructor;
        };
    }>>, {
        value: import("@fly-vue/lcdp-api").IJoinField[];
        disabled: boolean;
        readonly: boolean;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>>>;
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean;
            'ui-justify-center': boolean;
            'ui-flex-grow': boolean;
            'ui-h-0': boolean;
            gutter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        middle: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        selectable: boolean;
        selected: boolean;
        overflowHidden: boolean;
    }>;
    Icon: import("vue").DefineComponent<{
        icon: null;
        size: null;
        color: null;
    }, {
        __sfc: boolean;
        props: {
            icon: string;
            size?: string | undefined;
            color?: string | undefined;
        };
        isIdeIcon: import("vue").ComputedRef<boolean>;
        isProIcon: import("vue").ComputedRef<boolean>;
        isIdesIcon: import("vue").ComputedRef<boolean>;
        isLcIcon: import("vue").ComputedRef<boolean>;
        colorMap: Record<string, string>;
        color: import("vue").ComputedRef<string>;
        IdeIcon: import("vue").DefineComponent<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }>>, {
            size: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        icon: null;
        size: null;
        color: null;
    }>>, {}>;
    Table: import("vue").DefineComponent<{
        columns: {
            type: PropType<ITableColumn[]>;
            required: true;
        };
        data: {
            type: PropType<any[]>;
            required: true;
        };
        size: {
            type: StringConstructor;
            enums: string[];
            default: string;
        };
        fixHeader: {
            type: BooleanConstructor;
        };
        showNoData: {
            type: BooleanConstructor;
            default: boolean;
        };
        noDataText: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: any[];
            size: string;
            columns: ITableColumn[];
            fixHeader: boolean;
            showNoData: boolean;
            noDataText: string;
        }>>>;
        heightMap: Record<string, string>;
        rowHeight: import("vue").ComputedRef<string>;
        cellStyle: (c: ITableColumn) => {
            width: string | undefined;
            minWidth: string | undefined;
            justifyContent: undefined;
        };
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>>>;
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean;
                'ui-justify-center': boolean;
                'ui-flex-grow': boolean;
                'ui-h-0': boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                middle: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                selectable: boolean;
                selected: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        columns: {
            type: PropType<ITableColumn[]>;
            required: true;
        };
        data: {
            type: PropType<any[]>;
            required: true;
        };
        size: {
            type: StringConstructor;
            enums: string[];
            default: string;
        };
        fixHeader: {
            type: BooleanConstructor;
        };
        showNoData: {
            type: BooleanConstructor;
            default: boolean;
        };
        noDataText: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        size: string;
        fixHeader: boolean;
        showNoData: boolean;
        noDataText: string;
    }>;
    SelectRelationType: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            value?: string | undefined;
        }>>>;
        emit: (event: "input" | "on-select", ...args: any[]) => void;
        innerValue: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
        list: any[];
        onSelect: () => Promise<void>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}>>, {
    isSystem: boolean;
}>;
export default _default;
